Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.mockintblock
Class MockFixedIntBlockPostingsFormat.MockIntFactory

    java.lang.Object
      org.apache.lucene.codecs.sep.IntStreamFactory
          org.apache.lucene.codecs.mockintblock.MockFixedIntBlockPostingsFormat.MockIntFactory

Enclosing class:
  MockFixedIntBlockPostingsFormat

    public static class MockFixedIntBlockPostingsFormat.MockIntFactory

extends IntStreamFactory

Encodes blocks as vInts of a fixed block size.

Constructor Summary
`MockFixedIntBlockPostingsFormat.MockIntFactory(int blockSize)`

Method Summary
`IntIndexOutput` | `createOutput(Directory dir, String fileName, IOContext context)`
`IntIndexInput` | `openInput(Directory dir, String fileName, IOContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockFixedIntBlockPostingsFormat.MockIntFactory

    public MockFixedIntBlockPostingsFormat.MockIntFactory(int blockSize)

Method Detail

### openInput

    public IntIndexInput openInput(Directory dir,
                                   String fileName,
                                   IOContext context)
                            throws IOException

  Specified by:
    `openInput` in class `IntStreamFactory`
  Throws:
    `IOException`

### createOutput

    public IntIndexOutput createOutput(Directory dir,
                                       String fileName,
                                       IOContext context)
                                throws IOException

  Specified by:
    `createOutput` in class `IntStreamFactory`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.